Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.util.measures
Class MeasureFromFile<O>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.measures.MeasureFromFile<O>

All Implemented Interfaces:
  Measure<O>

    public class MeasureFromFile<O>

extends Object
implements Measure<O>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`(package private) String` | `measureName`
`HalfMatrixDouble<O>` | `values`

Constructor Summary
`protected` | `MeasureFromFile()`
`` | `MeasureFromFile(File f, int index, String sep)`

Method Summary
`double` | `getDissim(O o1, O o2)`
`static MeasureFromFile<URI>[]` | `getMeasuresFromFile(File f, String sep)`
`double` | `getMeasureValue(O o1, O o2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(O o1, O o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### measureName

    String measureName

### values

    public HalfMatrixDouble<O> values

Constructor Detail

### MeasureFromFile

    public MeasureFromFile(File f,
                           int index,
                           String sep)
                    throws Exception

Throws:
  `Exception`

### MeasureFromFile

    protected MeasureFromFile()

Method Detail

### getMeasuresFromFile

    public static MeasureFromFile<URI>[] getMeasuresFromFile(File f,
                                                             String sep)
                                                      throws Exception

  Throws:
    `Exception`

### getDissim

    public double getDissim(O o1,
                            O o2)

  Specified by:
    `getDissim` in interface `Measure<O>`

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<O>`

### getMeasureValue

    public double getMeasureValue(O o1,
                                  O o2)

  Specified by:
    `getMeasureValue` in interface `Measure<O>`

### getSim

    public double getSim(O o1,
                         O o2)

  Specified by:
    `getSim` in interface `Measure<O>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009